package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.CompanyApp;

/**
 * 客户端Service接口
 *
 * @author ruoyi
 * @date 2023-05-15
 */
public interface ICompanyAppService
{
    /**
     * 查询客户端
     *
     * @param id 客户端主键
     * @return 客户端
     */
    public CompanyApp selectCompanyAppById(Long id);

    /**
     * 查询客户端列表
     *
     * @param companyApp 客户端
     * @return 客户端集合
     */
    public List<CompanyApp> selectCompanyAppList(CompanyApp companyApp);

    /**
     * 新增客户端
     *
     * @param companyApp 客户端
     * @return 结果
     */
    public int insertCompanyApp(CompanyApp companyApp);

    /**
     * 修改客户端
     *
     * @param companyApp 客户端
     * @return 结果
     */
    public int updateCompanyApp(CompanyApp companyApp);

    /**
     * 批量删除客户端
     *
     * @param ids 需要删除的客户端主键集合
     * @return 结果
     */
    public int deleteCompanyAppByIds(String ids);

    /**
     * 删除客户端信息
     *
     * @param id 客户端主键
     * @return 结果
     */
    public int deleteCompanyAppById(Long id);
}
